org.apache.uima.util

## Class XMLSerializer

- java.lang.Object
- - org.apache.uima.util.XMLSerializer

-     public class XMLSerializer
      extends Object

  Utility class that generates XML output from SAX events or DOM nodes.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XMLSerializer.CharacterValidatingContentHandler` This class wraps the standard content handler

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLSerializer()`
    `XMLSerializer(boolean isFormattedOutput)`
    `XMLSerializer(OutputStream aOutputStream)`
    `XMLSerializer(OutputStream aOutputStream, boolean isFormattedOutput)`
    `XMLSerializer(Writer aWriter)`
    `XMLSerializer(Writer aWriter, boolean isFormattedOutput)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dom2sax(Node node, ContentHandler handler)`
    `ContentHandler` | `getContentHandler()`
    `void` | `serialize(Node node)`
    `void` | `setIndent(boolean yes)`
    `void` | `setOutputProperty(String name, String value)`
    `void` | `setOutputStream(OutputStream aOutputStream)`
    `void` | `setWriter(Writer aWriter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLSerializer

          public XMLSerializer()

    - #### XMLSerializer

          public XMLSerializer(boolean isFormattedOutput)

    - #### XMLSerializer

          public XMLSerializer(OutputStream aOutputStream)

    - #### XMLSerializer

          public XMLSerializer(OutputStream aOutputStream,
                               boolean isFormattedOutput)

    - #### XMLSerializer

          public XMLSerializer(Writer aWriter)

    - #### XMLSerializer

          public XMLSerializer(Writer aWriter,
                               boolean isFormattedOutput)

  - ### Method Detail

    - #### setIndent

          public void setIndent(boolean yes)

    - #### setOutputStream

          public void setOutputStream(OutputStream aOutputStream)

    - #### setWriter

          public void setWriter(Writer aWriter)

    - #### getContentHandler

          public ContentHandler getContentHandler()

    - #### serialize

          public void serialize(Node node)

    - #### dom2sax

          public void dom2sax(Node node,
                              ContentHandler handler)

    - #### setOutputProperty

          public void setOutputProperty(String name,
                                        String value)

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.